kind: ConfigMap
apiVersion: v1
metadata:
  name: configmap-dom-legal-customer-product-directory
  namespace: proyecto-prueba-ja
  uid: 89f29239-5b9b-4800-b905-bf29192d1fbb
  resourceVersion: '3477907206'
  creationTimestamp: '2026-01-12T22:23:07Z'
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"v1","data":{"api.allowed.request-validation.account-status":"^(A|D|ACTBSUSD)$","api.allowed.request-validation.cachea-indicator":"^(SI|NO)$","api.allowed.request-validation.customer-ibs-number":"\\d+","api.allowed.request-validation.limit-type":"^(PAG|REC)$","api.allowed.request-validation.product-cv-code":"^(CV|CVFL)$","api.dom-legal-customer-product-directory.messages.content":"[{\"backendCode\":\"200\",\"httpCode\":200,\"statusCode\":\"200\",\"description\":\"Operacion exitosa\"},{\"backendCode\":\"R404\",\"httpCode\":404,\"statusCode\":\"404\",\"description\":\"Datos de validación no encontrado.\"},{\"backendCode\":\"503\",\"httpCode\":503,\"statusCode\":\"503\",\"description\":\"Uso interno\"},{\"backendCode\":\"422\",\"httpCode\":422,\"statusCode\":\"422\",\"description\":\"Uso interno\"},{\"backendCode\":\"500\",\"httpCode\":500,\"statusCode\":\"500\",\"description\":\"Uso interno\"},{\"backendCode\":\"100\",\"httpCode\":503,\"statusCode\":\"503\",\"description\":\"VDR13 - OSB Disponible\"},{\"backendCode\":\"OSB-382505\",\"httpCode\":503,\"statusCode\":\"503\",\"description\":\"VDR13 - OSB Disponible\"},{\"backendCode\":\"OSB-380002\",\"httpCode\":503,\"statusCode\":\"503\",\"description\":\"VDR13 - OSB Disponible\"},{\"backendCode\":\"ERROR\",\"httpCode\":400,\"statusCode\":\"400\",\"description\":\"Uso interno\"},{\"backendCode\":\"400\",\"httpCode\":400,\"statusCode\":\"400\",\"description\":\"Uso interno\"},{\"backendCode\":\"401\",\"httpCode\":401,\"statusCode\":\"401\",\"description\":\"Uso interno\"},{\"backendCode\":\"403\",\"httpCode\":403,\"statusCode\":\"403\",\"description\":\"Uso interno\"},{\"backendCode\":\"404\",\"httpCode\":404,\"statusCode\":\"404\",\"description\":\"Uso interno\"},{\"backendCode\":\"default\",\"httpCode\":409,\"statusCode\":\"409\",\"description\":\"Conflicto\"},{\"backendCode\":\"424\",\"httpCode\":424,\"statusCode\":\"424\",\"description\":\"Error de dependencia\"},{\"backendCode\":\"VDE01\",\"httpCode\":400,\"statusCode\":\"VDE01\",\"description\":\"VDE01 - Error en dato de entrada obligatorio: %s\"},{\"backendCode\":\"VDE02\",\"httpCode\":400,\"statusCode\":\"VDE02\",\"description\":\"VDE02 - Error en valor permitido para campo: %s\"},{\"backend_code\":\"204\",\"http_code\":\"200\",\"status_code\":\"200\",\"description\":\"Cliente sin productos\",\"status\":\"ok\"}]","api.dom-legal-customer-product-directory.messages.key":"dom-legal-customer-product-directory","api.read-messages.from-props":"true","api.source-id":"DLCPD","datasource.sp.allowed.account-relationship-type.parent":"PADRE","datasource.sp.allowed.account-status.disable":"D","datasource.sp.allowed.account-status.enable":"A","datasource.sp.allowed.account-type.current":"DDA,MMK","datasource.sp.allowed.account-type.interest-arrangement":"MMK","datasource.sp.allowed.account-type.saving":"SAV","datasource.sp.allowed.currency.base":"BS","datasource.sp.errors.ibs":"DEBE ESPECIFICAR EL NRO DE CLIENTE","datasource.sp.name":"BANCYFIL2.CONCTABOLE","quarkus.application.name":"dom-legal-customer-product-directory","quarkus.application.version":"1.0.0","quarkus.datasource.db-kind":"db2 ","quarkus.datasource.health.enabled":"false","quarkus.datasource.jdbc.acquisition-timeout":"20","quarkus.datasource.jdbc.additional-jdbc-properties.currentSchema":"BANCYFIL2","quarkus.datasource.jdbc.additional-jdbc-properties.retrieveMessagesFromServerOnGetMessage":"true","quarkus.datasource.jdbc.additional-jdbc-properties.useJDBC4ColumnNameAndLabelSemantics":"2","quarkus.datasource.jdbc.background-validation-interval":"120000","quarkus.datasource.jdbc.driver":"com.ibm.db2.jcc.DB2Driver","quarkus.datasource.jdbc.idle-removal-interval":"300000","quarkus.datasource.jdbc.initial-size":"5","quarkus.datasource.jdbc.leak-detection-interval":"60000","quarkus.datasource.jdbc.max-lifetime":"900000","quarkus.datasource.jdbc.max-size":"30","quarkus.datasource.jdbc.min-size":"5","quarkus.datasource.jdbc.url":"jdbc:db2://10.137.0.138:446/S100906D","quarkus.datasource.jdbc.validation-query-sql":"SELECT 1 FROM SYSIBM.SYSDUMMY1","quarkus.datasource.password":"${DB2_PASSWORD}","quarkus.datasource.username":"${DB2_USERNAME}","quarkus.debug.print-startup-times":"true","quarkus.debug.reflection":"false","quarkus.http.idle-timeout":"30s","quarkus.http.non-application-root-path":"actuator","quarkus.http.port":"8080","quarkus.log.console.enable":"true","quarkus.log.console.format":"%d{HH:mm:ss.SSS} %-5p [%t] [%X{requestId}] %c{1} - %s%e%n","quarkus.log.level":"INFO","quarkus.profile":"dev","quarkus.smallrye-health.liveness-path":"/actuator/health/live","quarkus.smallrye-health.readiness-path":"/actuator/health/ready","quarkus.smallrye-health.root-path":"/actuator/health","quarkus.smallrye-health.ui.enable":"false","quarkus.smallrye-openapi.enable":"true","quarkus.smallrye-openapi.path":"/openapi","quarkus.swagger-ui.always-include":"true","quarkus.swagger-ui.path":"/swagger-ui","quarkus.thread-pool.core-threads":"1","quarkus.thread-pool.max-threads":"100"},"kind":"ConfigMap","metadata":{"annotations":{},"app":"dom-legal-customer-product-directory","labels":null,"name":"configmap-dom-legal-customer-product-directory","namespace":"proyecto-prueba-ja"}}
  managedFields:
    - manager: kubectl-client-side-apply
      operation: Update
      apiVersion: v1
      time: '2026-01-12T23:31:49Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:data':
          'f:quarkus.datasource.jdbc.driver': {}
          'f:api.read-messages.from-props': {}
          'f:quarkus.http.idle-timeout': {}
          'f:api.allowed.request-validation.product-cv-code': {}
          'f:quarkus.datasource.jdbc.max-size': {}
          'f:api.allowed.request-validation.customer-ibs-number': {}
          'f:quarkus.datasource.jdbc.initial-size': {}
          'f:quarkus.datasource.jdbc.additional-jdbc-properties.currentSchema': {}
          'f:quarkus.thread-pool.max-threads': {}
          'f:api.dom-legal-customer-product-directory.messages.key': {}
          'f:quarkus.smallrye-health.liveness-path': {}
          'f:api.source-id': {}
          'f:quarkus.datasource.jdbc.additional-jdbc-properties.useJDBC4ColumnNameAndLabelSemantics': {}
          'f:quarkus.log.console.format': {}
          'f:quarkus.smallrye-health.root-path': {}
          'f:datasource.sp.name': {}
          'f:datasource.sp.allowed.account-type.current': {}
          'f:quarkus.datasource.jdbc.idle-removal-interval': {}
          'f:quarkus.datasource.db-kind': {}
          'f:quarkus.smallrye-openapi.enable': {}
          'f:quarkus.datasource.jdbc.acquisition-timeout': {}
          'f:quarkus.datasource.jdbc.max-lifetime': {}
          'f:quarkus.datasource.health.enabled': {}
          'f:api.allowed.request-validation.cachea-indicator': {}
          'f:quarkus.smallrye-openapi.path': {}
          'f:datasource.sp.allowed.account-relationship-type.parent': {}
          'f:datasource.sp.allowed.currency.base': {}
          'f:quarkus.application.version': {}
          'f:quarkus.log.level': {}
          'f:datasource.sp.allowed.account-type.saving': {}
          'f:quarkus.debug.print-startup-times': {}
          'f:quarkus.datasource.jdbc.validation-query-sql': {}
          .: {}
          'f:datasource.sp.allowed.account-status.disable': {}
          'f:quarkus.swagger-ui.path': {}
          'f:quarkus.datasource.username': {}
          'f:quarkus.datasource.jdbc.background-validation-interval': {}
          'f:quarkus.smallrye-health.readiness-path': {}
          'f:quarkus.log.console.enable': {}
          'f:datasource.sp.errors.ibs': {}
          'f:quarkus.smallrye-health.ui.enable': {}
          'f:quarkus.swagger-ui.always-include': {}
          'f:quarkus.datasource.jdbc.min-size': {}
          'f:quarkus.debug.reflection': {}
          'f:api.allowed.request-validation.limit-type': {}
          'f:quarkus.datasource.password': {}
          'f:quarkus.datasource.jdbc.url': {}
          'f:quarkus.application.name': {}
          'f:quarkus.thread-pool.core-threads': {}
          'f:quarkus.http.port': {}
          'f:datasource.sp.allowed.account-type.interest-arrangement': {}
          'f:quarkus.http.non-application-root-path': {}
          'f:quarkus.profile': {}
          'f:api.allowed.request-validation.account-status': {}
          'f:quarkus.datasource.jdbc.additional-jdbc-properties.retrieveMessagesFromServerOnGetMessage': {}
          'f:datasource.sp.allowed.account-status.enable': {}
          'f:api.dom-legal-customer-product-directory.messages.content': {}
          'f:quarkus.datasource.jdbc.leak-detection-interval': {}
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
data:
  quarkus.datasource.jdbc.min-size: '5'
  quarkus.application.version: 1.0.0
  datasource.sp.allowed.currency.base: BS
  quarkus.log.level: INFO
  datasource.sp.allowed.account-type.saving: SAV
  quarkus.debug.reflection: 'false'
  quarkus.debug.print-startup-times: 'true'
  quarkus.swagger-ui.path: /swagger-ui
  quarkus.application.name: dom-legal-customer-product-directory
  quarkus.thread-pool.core-threads: '1'
  quarkus.datasource.username: '${DB2_USERNAME}'
  quarkus.smallrye-health.ui.enable: 'false'
  quarkus.swagger-ui.always-include: 'true'
  quarkus.http.non-application-root-path: actuator
  api.allowed.request-validation.limit-type: ^(PAG|REC)$
  quarkus.datasource.password: '${DB2_PASSWORD}'
  quarkus.datasource.jdbc.url: 'jdbc:db2://10.137.0.138:446/S100906D'
  api.allowed.request-validation.product-cv-code: ^(CV|CVFL)$
  api.read-messages.from-props: 'true'
  quarkus.datasource.jdbc.driver: com.ibm.db2.jcc.DB2Driver
  datasource.sp.allowed.account-type.interest-arrangement: MMK
  quarkus.http.port: '8080'
  quarkus.datasource.jdbc.max-size: '30'
  quarkus.datasource.jdbc.initial-size: '5'
  api.allowed.request-validation.customer-ibs-number: \d+
  quarkus.profile: dev
  api.allowed.request-validation.account-status: ^(A|D|ACTBSUSD)$
  quarkus.datasource.jdbc.additional-jdbc-properties.currentSchema: BANCYFIL2
  quarkus.datasource.jdbc.additional-jdbc-properties.retrieveMessagesFromServerOnGetMessage: 'true'
  datasource.sp.allowed.account-status.enable: A
  api.dom-legal-customer-product-directory.messages.content: '[{"backendCode":"200","httpCode":200,"statusCode":"200","description":"Operacion exitosa"},{"backendCode":"R404","httpCode":404,"statusCode":"404","description":"Datos de validación no encontrado."},{"backendCode":"503","httpCode":503,"statusCode":"503","description":"Uso interno"},{"backendCode":"422","httpCode":422,"statusCode":"422","description":"Uso interno"},{"backendCode":"500","httpCode":500,"statusCode":"500","description":"Uso interno"},{"backendCode":"100","httpCode":503,"statusCode":"503","description":"VDR13 - OSB Disponible"},{"backendCode":"OSB-382505","httpCode":503,"statusCode":"503","description":"VDR13 - OSB Disponible"},{"backendCode":"OSB-380002","httpCode":503,"statusCode":"503","description":"VDR13 - OSB Disponible"},{"backendCode":"ERROR","httpCode":400,"statusCode":"400","description":"Uso interno"},{"backendCode":"400","httpCode":400,"statusCode":"400","description":"Uso interno"},{"backendCode":"401","httpCode":401,"statusCode":"401","description":"Uso interno"},{"backendCode":"403","httpCode":403,"statusCode":"403","description":"Uso interno"},{"backendCode":"404","httpCode":404,"statusCode":"404","description":"Uso interno"},{"backendCode":"default","httpCode":409,"statusCode":"409","description":"Conflicto"},{"backendCode":"424","httpCode":424,"statusCode":"424","description":"Error de dependencia"},{"backendCode":"VDE01","httpCode":400,"statusCode":"VDE01","description":"VDE01 - Error en dato de entrada obligatorio: %s"},{"backendCode":"VDE02","httpCode":400,"statusCode":"VDE02","description":"VDE02 - Error en valor permitido para campo: %s"},{"backend_code":"204","http_code":"200","status_code":"200","description":"Cliente sin productos","status":"ok"}]'
  quarkus.log.console.format: '%d{HH:mm:ss.SSS} %-5p [%t] [%X{requestId}] %c{1} - %s%e%n'
  quarkus.datasource.jdbc.additional-jdbc-properties.useJDBC4ColumnNameAndLabelSemantics: '2'
  datasource.sp.name: BANCYFIL2.CONCTABOLE
  datasource.sp.allowed.account-type.current: 'DDA,MMK'
  quarkus.datasource.jdbc.leak-detection-interval: '60000'
  quarkus.datasource.db-kind: 'db2 '
  quarkus.http.idle-timeout: 30s
  quarkus.datasource.jdbc.max-lifetime: '900000'
  datasource.sp.allowed.account-relationship-type.parent: PADRE
  quarkus.thread-pool.max-threads: '100'
  api.dom-legal-customer-product-directory.messages.key: dom-legal-customer-product-directory
  quarkus.smallrye-health.liveness-path: /actuator/health/live
  api.source-id: DLCPD
  quarkus.datasource.jdbc.validation-query-sql: SELECT 1 FROM SYSIBM.SYSDUMMY1
  quarkus.smallrye-health.root-path: /actuator/health
  datasource.sp.allowed.account-status.disable: D
  quarkus.datasource.jdbc.idle-removal-interval: '300000'
  quarkus.smallrye-openapi.enable: 'true'
  quarkus.datasource.jdbc.acquisition-timeout: '20'
  quarkus.smallrye-health.readiness-path: /actuator/health/ready
  api.allowed.request-validation.cachea-indicator: ^(SI|NO)$
  quarkus.datasource.jdbc.background-validation-interval: '120000'
  quarkus.log.console.enable: 'true'
  quarkus.datasource.health.enabled: 'false'
  quarkus.smallrye-openapi.path: /openapi
  datasource.sp.errors.ibs: DEBE ESPECIFICAR EL NRO DE CLIENTE
